﻿@model ProgramCreateEditModelStep1

@{
    Layout = null;
}
<style>
    .imageRepeat {
        display: inline-block;
        margin: 27px 17px;
        border: 2px solid #999;
        padding: 10px;
    }

    .removeImage {
        text-align: center;
        margin-right: 5px;
        padding: 0 !important;
    }

    .btn-centerv-right {
        position: absolute;
        top: 50%;
        right: 0px;
        transform: translateY(-50%);
    }
</style>
<form name="programFormStep1" novalidate ng-submit="save()">
    <div class="view-container">
        <div class="title-bar">
            <div class="back">
                <a class="action" ui-sref='ProgramAddBlade({seasonDomain: MC.stateParams.seasonDomain})'>
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>
            <div class="title">
                <h1 ng-if="Model.SaveType == 'Draft' && (Model.TypeCategory !='SeminarTour' && Model.TypeCategory != 'ChessTournament' && Model.TypeCategory != 'BeforeAfterCare')">
                    Add {{Model.TypeCategory}}
                </h1>
                <h1 ng-if="Model.SaveType == 'Draft' && Model.TypeCategory =='SeminarTour'">
                    Add Seminar Tour
                </h1>
                <h1 ng-if="Model.SaveType == 'Draft' && Model.TypeCategory =='ChessTournament'">
                    Add Chess Tournament
                </h1>
                <h1 ng-if="Model.SaveType == 'Draft' && Model.TypeCategory =='BeforeAfterCare'">
                    Add Before & After Care
                </h1>
                <h1 ng-if="Model.SaveType == 'Publish'">
                    Edit {{Model.Name}}
                </h1>
            </div>
            <div class="actions">
            </div>
            <div class="clearfix"></div>
            <hr />
        </div>

        <nav class="step-navigator breadcrumbs" ng-include src="'/Dashboard/_ProgramAddEditStepNavigation'"></nav>

        <label class="req-star">Program name</label>
        <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Name)>
            <input ng-model="Model.Name" name="Name" type="text" placeholder="e.g. beginner chess" @Html.AngTooltipValidationFor(model => model.Name) />
        </div>

        <div ng-if="@Html.Ang(model => model.TypeCategory) != '@ProgramTypeCategory.ChessTournament'">
            <label class="req-star">Program category</label>
            <div class="input-control choosen" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedCategories)>
                <div @Html.AngTooltipValidationFor(model => model.SelectedCategories)>
                    <select chosen multiple
                            ng-model="@Html.Ang(m => m.SelectedCategories)"
                            name="SelectedCategories" data-placeholder="Select program categories"
                            ng-options="obj.Value as obj.Text for obj in Model.AllCategories"></select>
                </div>
            </div>
        </div>

        <label>Program location</label>
        <div class="input-control select" data-role="input-control">
            <select ng-model="@Html.Ang(model => model.SelectedLocation)" id="selectedCategory" ng-options="obj.Value as obj.Text for obj in Model.AllLocations"></select>
        </div>

        <button class="button place-right default" role="button" type="button" ng-click="addLocation()">Add new location</button>
        <div ng-hide="Model.SelectedLocation == Model.AllLocations[0].Value">
            <button class="button link place-right" role="button" type="button" ng-click="editLocation()">Edit location</button>
            <button class="button link place-right" role="button" type="button" ng-click="removeLocation()">Delete location</button>
        </div>

        <div class="clearfix"></div>

        <div>
            <label for="@Html.Ang(m => m.Room)">Room assignment</label>

            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Room)>
                <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.Room)" ng-model="@Html.Ang(m => m.Room)" @Html.AngTooltipValidationFor(model => model.Room) />
            </div>
        </div>


        <label class="req-star" for="">Program description</label>
        <div  class="editor-body" id="bodyeditor" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.Description'].Messages)}">
            <div class="input-control textarea support-error-state" data-html="true" data-toggle="tooltip" data-placement="top" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.Description'].Messages)}}" jb-tooltip>
                <textarea id="discription" kendo-editor k-tools="['bold','italic','underline','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','createLink','unlink','cleanFormatting','backColor','viewHtml']" k-ng-model="@Html.Ang(model => model.Description)"></textarea>
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="input-control checkbox" data-role="input-control">
            <label for="hasTestimonilBox" style="display:inline-block">
                <input ng-model="@Html.Ang(model => model.HasTestimonials)" id="hasTestimonilBox" type="checkbox">
                <span class="check"></span>
                Enable testimonial/feature box
            </label>
            <div id="tooltipClubLogo" class="jb-tooltip">
                <span ng-click="toggleTooltip('tooltipClubLogo','/Areas/Dashboard/Content/Image/testimonialPlace.jpg','left')" class="info-icon">i</span>
                <div class="tooltip-content"></div>
            </div>

        </div>
        <div id="boxTestimonial" ng-if="@Html.Ang(model => model.HasTestimonials)" class="editor-body" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.Testimonials'].Messages)}">
            <span>
                You can change the title and the background color here: Settings > Appearance > Testimonials box
            </span>
            <div class="input-control textarea support-editor-line support-error-state" data-html="true" data-toggle="tooltip" data-placement="top" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.Testimonials'].Messages)}}" jb-tooltip>
                <textarea id="testimonials" kendo-editor k-tools="['bold','italic','underline','fontSize','createLink','unlink','viewHtml']" k-ng-model="@Html.Ang(model => model.Testimonials)"></textarea>
                @*<textarea id="testimonials" k-encoded="false" kendo-editor k-options="testimonialEditorOptions" k-ng-model="@Html.Ang(model => model.Testimonials)"></textarea>*@
            </div>

        </div>


        <div class="clearfix"></div>

        <label>Program instructors</label>
        <div class="input-control choosen" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedInstructors)>
            <div @Html.AngTooltipValidationFor(model => model.SelectedInstructors)>
                <select chosen multiple
                        ng-model="@Html.Ang(m => m.SelectedInstructors)"
                        name="SelectedInstructors" data-placeholder="Select program instructors"
                        ng-options="obj.Value as obj.Text for obj in Model.AllInstructors"></select>
            </div>
        </div>

        <button class="button place-right default" role="button" type="button" ng-click="addInstructor()">Add new instructor</button>

        <div class="clearfix"></div>

        <label class="" for="">Program restriction</label>
        <small>If you want to prevent the general public from enrolling in this class (for example for audition-based classes), click on the check box and enter the access password.</small>

        <div>
            <div class="input-control checkbox" data-role="input-control">
                <label>
                    <input ng-change="changePIN()" ng-model="@Html.Ang(model => model.HasRegisterPIN)" type="checkbox">
                    <span class="check"></span>
                    Restrict access to this class with a password
                </label>
            </div>
            <div id="register-pin" ng-show="Model.HasRegisterPIN">
                <label class="req-star">Access password</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.RegisterPIN)>
                    <input ng-model="@Html.Ang(model => model.RegisterPIN)" name="Name" type="text" placeholder="" @Html.AngTooltipValidationFor(model => model.RegisterPIN) />
                </div>
            </div>
            <div id="register-pin" ng-show="Model.HasRegisterPIN">
                <label class="req-star">Restriction message</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.RegisterPINMessage)>
                    <input ng-model="@Html.Ang(model => model.RegisterPINMessage)" name="Name" type="text" placeholder="" @Html.AngTooltipValidationFor(model => model.RegisterPINMessage) />
                </div>
            </div>
            <div class="input-control checkbox" data-role="input-control" ng-show="Model.HasRegisterPIN">
                <label>
                    <input ng-model="@Html.Ang(model => model.DisableCapacityRestriction)" type="checkbox">
                    <span class="check"></span>
                    Override capacity restriction and allow users to register for full programs
                </label>
            </div>

            <div class="clearfix"></div>

            <div ng-if="@Html.Ang(model => model.TypeCategory) != '@ProgramTypeCategory.BeforeAfterCare' && @Html.Ang(model => model.TypeCategory) != '@ProgramTypeCategory.Subscription'">
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-model="@Html.Ang(model => model.IsWaitListAvailable)" type="checkbox">
                        <span class="check"></span>
                        Enable waitlist
                    </label>
                </div>

                <div ng-show="Model.IsWaitListAvailable">
                    <label for="">Waitlist policy</label>
                    <div class="input-control textarea" @Html.AngValidationClassFor(model => model.WaitlistPolicy)>
                        <textarea rows="4" cols="500" class="col-md-12" @Html.AngTooltipValidationFor(model => model.WaitlistPolicy) ng-model="@Html.Ang(model => model.WaitlistPolicy)"></textarea>
                    </div>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <hr />
        <div>
            <label>Program images</label>
            <span ng-if="Model.HasCatalogId==false">
                You can upload up to five images for this program. These images will be displayed in the class description page during the registration.<br />
                Note: you must own the rights to display any included images and get permission for any image subjects as needed.
            </span>
            <span ng-if="Model.HasCatalogId==true">
                These images will be displayed in the class description page during the registration.<br />
                Note: To change the images, you must go to the catalog page and edit the images.
            </span>
            <div ng-show="!Model.HasCatalogId">
                <div>
                    <div class="margin-bottom20 clearfix"></div>
                    <div style="margin-left: 200px;">
                        <input id="btn_file" type="file" img-cropper-fileread image="cropper.sourceImage" ng-click="Canvac()" onchange="angular.element(this).scope().getSize(this)" />
                    </div>
                    <div class="clearfix"></div>
                    <div id="div_can2">
                        <div class="cropArea img-cropper">
                            <div class="img-cropp">
                                <canvas width="380" height="280" min-height="100" min-width="100" id="canvas_2"
                                        image-cropper image="cropper.sourceImage" cropped-image="cropper.croppedImage"
                                        touch-radius="50"
                                        keep-aspect="true" crop-area-bounds="bounds" crop-width="380" crop-height="280" cors="true"></canvas>
                            </div>
                        </div>
                        <div class="img-cropper-preview" style="position:relative">
                            <div class="club-logo" ng-show="cropper.croppedImage!=null">
                                <div class="margin-bottom10" style="margin-left: 230px;">Cropped image:</div>
                                <img ng-src="{{cropper.croppedImage}}" />
                            </div>
                            <button class="default btn-centerv-right" id="btn_Add" ng-show="cropper.sourceImage!=null && disable==false" type="button" ng-click="AddTo(cropper.croppedImage,cropper.sourceImage)">Add image</button>
                            <button class="default btn-centerv-right" id="btn_Add" ng-show="cropper.sourceImage!=null && disable==true" type="button" disabled ng-click="AddTo(cropper.croppedImage,cropper.sourceImage)">Add image</button>
                        </div>
                    </div>
                </div>
            </div>

            <div class="clearfix"></div>

            <div ng-repeat="image in Model.ProgramImages" ng-init="imageIndex = $index" style="display: inline-block;margin-top: 17px;">
                <div class="imageRepeat">
                    <img style="max-height:150px; max-width: 300px;" ng-src="{{image}}" ng-model="image[$index]" />
                </div>
                <div class="removeImage" ng-if="Model.HasCatalogId==false">
                    <button type="button" style="padding-bottom: 5px;" ng-click="removeImage($index)">Remove</button>
                </div>

            </div>
        </div>
        <hr />

        <a class="place-left button link large" ui-sref='ProgramAddBlade({seasonDomain: MC.stateParams.seasonDomain})'>Cancel</a>
        <button class="success large place-right button" id="btn_save" type="submit">Save & continue</button>
        <div class="clearfix"></div>
    </div>

</form>